Subject: Re: [PATCH 05/11] sysctl: Add a size arg to __register_sysctl_table

From: Joel Granados <[email-masked]>
Date: Thu, 22 Jun 2023 16:09:15 +0200

On Wed, Jun 21, 2023 at 01:53:22PM -0700, Jakub Kicinski wrote:
> On Wed, 21 Jun 2023 11:09:54 +0200 Joel Granados wrote:
> > In order to remove the end element from the ctl_table struct arrays, we
> > explicitly define the size when registering the targets.
> > __register_sysctl_table is the first function to grow a size argument.
> > For this commit to focus only on that function, we temporarily implement
> > a size calculation in register_net_sysctl, which is an indirection call
> > for all the network register calls.
> 
> You didn't CC the cover letter to netdev so replying here.
> 
> Is the motivation just the size change? Does it conflict with changes
> queued to other trees?
I will clarify the motivation in V2. But I have sent out this
https://lore.kernel.org/all/20230622135922.xtvaiy3isvq576hw@localhost/
to give some perspective.

> 
> It'd be much better if you could figure out a way to push prep into 
> 6.5 and then convert subsystems separately.
One of my objectives for V2 is to reduce the amount of subsystems that
the patch actually touches. So this might not even be an issue.
I'll keep that separation possibility in mind; thx for the idea.

Best

-- 

Joel Granados